#
# spec file for package spacewalk-setup-jabberd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           spacewalk-setup-jabberd
Version:        1.2.2
Release:        1.3
Summary:        Tools to setup jabberd for Spacewalk
Group:          Applications/System
License:        GPL v2 only
Url:            https://fedorahosted.org/spacewalk
Source0:        spacewalk-setup-jabberd-git-f634a98e4796acd36fe02c8395d66a1ef0ec00a6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildArch:      noarch
Requires:       perl
Requires:       libxslt
Requires:       jabberd
%if 0%{?suse_version}
Requires:       jabberd-db
%endif

%description
Script, which setup Jabberd for Spacewalk. Used during installation of
Spacewalk server or Spacewalk proxy.



%prep
%setup -q -n spacewalk-setup-jabberd-git-f634a98e4796acd36fe02c8395d66a1ef0ec00a6

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/
install -d -m 755 %{buildroot}/%{_datadir}/spacewalk/setup/jabberd
install -m 0644 share/jabberd/* %{buildroot}/%{_datadir}/spacewalk/setup/jabberd/

# jabberd ssl cert location
install -d -m 755 %{buildroot}/%{_sysconfdir}/pki/spacewalk/jabberd

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/spacewalk-setup-jabberd
%{_mandir}/man1/*
%dir %{_datadir}/spacewalk
%{_datadir}/spacewalk/*
%dir %{_sysconfdir}/pki
%dir %{_sysconfdir}/pki/spacewalk
%dir %{_sysconfdir}/pki/spacewalk/jabberd

%changelog
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-setup-jabberd
